## bcfg2 1.0.1

=== redhat/Makefile ===
# -- generic Makefile for building RPM-based packages out of source
#    code control systems (git, cvs, svn)
#
# $Id: Makefile 46 2007-10-24 09:14:12Z robin $

.SUFFIXES:
.PHONY: clean mrclean distclean prepclean all default
.PHONY: rpm rpmdist buildrpm buildrpmdist
.PHONY: buildtarball buildtargz
.PHONY: builddir distdir prepbuildtarball
.PHONY: cvs-export git-export svn-export test-export
.PHONY: cvs-clean git-clean svn-clean test-clean

SCM_TYPE := svn
SCM_PATH := ../
#CVSROOT := $(shell cat 2>/dev/null src/CVS/Root)
SVN_PATH := $(shell svn info ${SCM_PATH} 2>/dev/null | awk '/^URL:/{print $$2}')
SVN_REV := $(shell svn info ${SVN_PATH} 2>/dev/null | awk '/^Last Changed Rev:/{print $$4}')

PACKAGE := $(shell cat PACKAGE)
VERSION := $(shell cat VERSION)
RELEASE := $(shell cat RELEASE)r${SVN_REV}
BASE_VER := ${VERSION}-${RELEASE}
CURRENT_PACKAGE := $(PACKAGE)-$(BASE_VER)
TARBALL := $(CURRENT_PACKAGE).tar

DIRNAME := $(shell echo $${PWD})
DIRBASE := $(shell basename $${PWD})


default: rpmdist

# -- the "rpmdist" target will build out of the SCM, but will
#    use the user's default build settings (which in many cases
#    is exposed as an RPM repository)
#
rpmdist: buildrpmdist distclean

buildrpmdist: specfile buildtargz
	@rpmbuild \
	  -ta ./build/$(TARBALL).gz

# -- the "rpm" target will build out of the SCM, but will leave
#    the resulting package in the relative ./build/ directory
#
rpm: buildrpm $(SCM_TYPE)-clean

# add "debug" to a target to see the values of all these vars
debug:
	echo SCM_TYPE: ${SCM_TYPE} && \
	echo SCM_PATH: ${SCM_PATH} && \
	echo SVN_PATH: ${SVN_PATH} && \
	echo SVN_REV : ${SVN_REV} && \
	echo PACKAGE : ${PACKAGE} && \
	echo VERSION : ${VERSION} && \
	echo RELEASE : ${RELEASE} && \
	echo BASE_VER: ${BASE_VER} && \
	echo CURRENT_PACKAGE: ${CURRENT_PACKAGE} && \
	echo TARBALL: ${TARBALL} && \
	echo DIRNAME: ${DIRNAME} && \
	echo DIRBASE: ${DIRBASE}

buildrpm: specfile buildtargz
	@rpmbuild \
	  --define "_rpmdir ./build/" \
	  --define "_sourcedir ./build/" \
	  --define "_srcrpmdir ./build/" \
 	  -ta ./build/$(TARBALL).gz

buildtarball: prepbuildtarball
	@tar \
	  --create \
	  --directory ./build/ \
	  --file      ./build/$(TARBALL) \
	  --exclude misc/bcfg2.spec \
	  ${CURRENT_PACKAGE}

buildtargz: buildtarball
	@gzip -c < ./build/$(TARBALL) > ./build/$(TARBALL).gz

# This target copies files that are not in svn into the build tree
prepbuildtarball: $(SCM_TYPE)-export
	@cp ${PACKAGE}.spec ./build/${CURRENT_PACKAGE}/redhat && \
		cp -R scripts ./build/${CURRENT_PACKAGE}/redhat

specfile: $(PACKAGE).spec

# create the spec file from the .in file and put in the build tree
$(PACKAGE).spec: PACKAGE VERSION RELEASE $(PACKAGE).spec.in
	@sed	-e "s|@PACKAGE@|$(PACKAGE)|"	\
		-e "s|@VERSION@|$(VERSION)|"	\
		-e "s|@RELEASE@|$(RELEASE)|"	\
		$(PACKAGE).spec.in > $@
test-clean:
	@cd .. \
	  && rm "$(CURRENT_PACKAGE)"

test-export: builddir
	@cd .. \
	  && ln -snvf $(DIRBASE) $(CURRENT_PACKAGE) \
	  && tar \
	    --create \
	    --dereference \
	    --to-stdout \
	    --exclude "*.git*" \
	    --exclude "*.svn*" \
	    --exclude "*/CVS/*" \
	    --exclude "$(CURRENT_PACKAGE)/build/*" \
	      $(CURRENT_PACKAGE) \
	  | tar \
	    --extract \
	    --directory $(CURRENT_PACKAGE)/build/ \
	    --file -

git-export: builddir prepclean
	@git-tar-tree HEAD $(PACKAGE)-$(VERSION) \
	  | tar \
	    --extract \
	    --directory ./build/ \
	    --file -

git-clean:
	@:

cvs-export: builddir prepclean
	@cd ./build/ \
	  && echo CURRENT_PACKAGE: ${CURRENT_PACKAGE} \
	  && echo CVSROOT: ${CVSROOT} \
	  && CVSROOT=${CVSROOT} cvs export -r HEAD -d$(CURRENT_PACKAGE) ${PACKAGE}

cvs-clean:
	@:

svn-export: builddir prepclean
	@cd ./build/ \
	  && svn export $(SVN_PATH) $(CURRENT_PACKAGE)

svn-clean:
	@rm -f bcfg2.spec 2>/dev/null || :

builddir:
	@mkdir -p ./build

distdir:
	@mkdir -p ./dist

prepclean:
	@rm -rf ./build/$(CURRENT_PACKAGE)*

clean:
	@rm -rf ./build/* ./dist/* 2>/dev/null || :

mrclean: clean

distclean: clean $(SCM_TYPE)-clean
	@rmdir ./build/ ./dist/ 2>/dev/null || :

=== solaris/Makefile ===
#!/usr/sfw/bin/gmake

VERS=1.0.0-1
PYVERSION := $(shell /opt/csw/bin/python -c "import sys; print sys.version[0:3]")

default: clean package

package:
	-mkdir tmp tmp/bcfg2-server tmp/bcfg2
	-cd ../ && /opt/csw/bin/python setup.py install --prefix=$(PWD)
	-cat bin/bcfg2 | sed -e 's!/usr/bin/python!/opt/csw/bin/python!' > bin/bcfg2.new && mv bin/bcfg2.new bin/bcfg2
	# Set python version to whichever version is installed
	-cat prototype.bcfg2 | sed -e 's!PYVERSION!python$(PYVERSION)!' > prototype.bcfg2.fixed
	-cat prototype.bcfg2-server | sed -e 's!PYVERSION!python$(PYVERSION)!' > prototype.bcfg2-server.fixed
	-pkgmk -o -a `uname -m` -f prototype.bcfg2.fixed -d $(PWD)/tmp -r $(PWD)
	-pkgmk -o -a `uname -m` -f prototype.bcfg2-server.fixed -d $(PWD)/tmp -r $(PWD)
	-pkgtrans -o -s $(PWD)/tmp $(PWD)/bcfg2-$(VERS) SCbcfg2
	-pkgtrans -o -s $(PWD)/tmp $(PWD)/bcfg2-server-$(VERS) SCbcfg2-server
	-gzip -f $(PWD)/bcfg2-$(VERS)
	-gzip -f $(PWD)/bcfg2-server-$(VERS)

clean:
	-rm -rf tmp bin lib share
	-rm -rf bcfg2-$(VERS).gz bcfg2-server-$(VERS).gz
	-rm -rf prototype.bcfg2.fixed prototype.bcfg2-server.fixed

=== encap/epkg/Makefile ===
# $Id: Makefile 3534 2007-07-22 01:06:35Z dclark $

.PHONY : log all clean distclean install pkgconfig zlib openssl libtar curl fget expat epkg
.SUFFIXES : 

BASEDIR = /usr/local
ENCAPDIR = ${BASEDIR}/encap
PREFIX = /tmp/epkg-static-libs
PATH = ${PREFIX}/bin:/usr/sfw/bin:/usr/ccs/bin:/usr/local/bin:/opt/csw/bin:/usr/sbin:/usr/bin:/bin
CC = gcc -static-libgcc
LDFLAGS = -L${PREFIX}/lib
CPPFLAGS = -I${PREFIX}/include
LD_LIBRARY_PATH = ${PREFIX}/lib
LIBPATH = ${PREFIX}/lib
PKG_CONFIG_PATH = ${PREFIX}/lib/pkgconfig
ENCAP_CONTACT = dclark@pobox.com
export PATH CC LDFLAGS CPPFLAGS LD_LIBRARY_PATH LIBPATH PKG_CONFIG_PATH ENCAP_CONTACT

PKGCONFIG = pkg-config-0.22
ZLIB = zlib-1.2.3
LIBTAR = libtar-1.2.12
OPENSSL = openssl-0.9.8e
CURL = curl-7.16.4
FGET = fget-1.3.3
EXPAT = expat-2.0.1
EPKG = epkg-2.3.9

# Get Platform for GNU/Linux distributions...
UNAME := $(shell uname)

ifeq ($(UNAME),Linux)
DISTRO := $(shell cat /etc/issue | grep ^[a-zA-Z] | head -1)
UNAMEM := $(shell uname -m)
endif

## Get OS for GNU/Linux distributions...
ifeq ($(DISTRO),Debian GNU/Linux 3.1 \n \l)
OS = linux_debian_sarge
endif

ifeq ($(DISTRO),Debian GNU/Linux 4.0 \n \l)
OS = linux_debian_etch
endif

ifeq ($(DISTRO),Debian GNU/Linux testing/unstable \n \l)
OS = linux_debian_sid
endif

ifeq ($(DISTRO),Ubuntu 6.06.1 LTS \n \l)
OS = linux_ubuntu_dapper
endif

ifeq ($(DISTRO),Red Hat Linux release 6.0 (Hedwig))
OS = linux_redhat_60
endif

ifeq ($(DISTRO),Red Hat Linux release 7.2 (Enigma))
OS = linux_redhat_72
endif

ifeq ($(DISTRO),Welcome to SuSE SLES 8 (powered by UnitedLinux 1.0) (i586))
OS = linux_suse_sles8
endif

ifeq ($(DISTRO),Welcome to SUSE Linux Enterprise Server 10 (i586) - Kernel \r (\l).)
OS = linux_suse_sles10
endif

ifeq ($(DISTRO),Welcome to SUSE Linux Enterprise Server 10 (i686) - Kernel \r (\l).)
OS = linux_suse_sles10
endif

ifeq ($(DISTRO),Welcome to SUSE Linux Enterprise Server 10 (x86_64) - Kernel \r (\l).)
OS = linux_suse_sles10
endif

ifeq ($(DISTRO),Red Hat Enterprise Linux AS release 4 (Nahant Update 5))
OS = linux_redhat_rhel4
endif

ifeq ($(DISTRO),Red Hat Enterprise Linux AS release 4 (Nahant Update 4))
OS = linux_redhat_rhel4
endif

## Get ARCH for GNU/Linux distributions...
ARCH = ix86
ifeq ($(UNAMEM),x86_64)
ARCH = x86_64
endif

## Finally, set PLATFORM for GNU/Linux distributions...
PLATFORM = 
ifeq ($(UNAME),Linux)
PLATFORM = -p ${ARCH}-${OS}
endif

log:
	( $(MAKE) epkg.done > ./make.log 2>&1 ) &
	tail -f make.log
	
all: epkg.done

.DELETE_ON_ERROR : # delete the target of a rule if it has changed and its
                   # commands exit with a nonzero exit status

clean:
	-rm *.done
	-rm -rf ${PREFIX}

distclean: clean
	for D in ${PKGCONFIG} ${ZLIB} ${LIBTAR} ${OPENSSL} ${CURL} ${FGET} ${EXPAT} ${EPKG}; do (cd $$D && printf "In $$D \n" && (make clean 2>/dev/null || true) && (make distclean 2>/dev/null || true)); done
	if [ -f ${CURL}/lib/ca-bundle.crt.orig ]; then mv ${CURL}/lib/ca-bundle.crt.orig ${CURL}/lib/ca-bundle.crt; fi
	cd ${OPENSSL} && if [ -f config.orig ]; then mv config.orig config; fi
	-rm /usr/local/etc/epkg-ca-bundle.pem
	-rm /usr/local/etc/mkencap_environment
	-rm epkg-*-encap-*-*.tar.gz

pkgconfig.done:
	cd ${PKGCONFIG} && ./configure --prefix=${PREFIX} && $(MAKE) && $(MAKE) install
	touch pkgconfig.done

zlib.done: pkgconfig.done
	cd ${ZLIB} && prefix=${PREFIX} CC=gcc ./configure && $(MAKE) && $(MAKE) install
	touch zlib.done
	
openssl.done: zlib.done
	cd ${OPENSSL} && if [ -f config.orig ]; then cp config.orig config; fi
	cd ${OPENSSL} && cat config | sed s:CC\=ccc:CC\=gcc:g | sed s:CC\=cc:CC\=gcc:g > config.bcfg2
	cd ${OPENSSL} && mv config config.orig
	cd ${OPENSSL} && cp config.bcfg2 config
	cd ${OPENSSL} && chmod 755 config
	cd ${OPENSSL} && LDFLAGS="-all-static $LDFLAGS" ./config --prefix="${PREFIX}" zlib no-shared no-asm -L${PREFIX}/lib -I${PREFIX}/include && $(MAKE) && $(MAKE) install
	touch openssl.done

libtar.done: openssl.done
	cd ${LIBTAR} && ./configure --disable-encap --disable-epkg-install --prefix=${PREFIX} && $(MAKE) && $(MAKE) install
	touch libtar.done

curl.done: libtar.done
	if [ -f ${CURL}/lib/ca-bundle.crt ]; then mv ${CURL}/lib/ca-bundle.crt ${CURL}/lib/ca-bundle.crt.orig; fi
	cp cacert.pem ${CURL}/lib/ca-bundle.crt
	cd ${CURL} && ./configure --with-ssl --disable-ipv6 --disable-shared --enable-static --prefix=${PREFIX} --sysconfdir=/usr/local/etc --with-ca-bundle=/usr/local/etc/epkg-ca-bundle.pem && $(MAKE) && $(MAKE) install
	if [ -f ${CURL}/lib/ca-bundle.crt.orig ]; then mv ${CURL}/lib/ca-bundle.crt.orig ${CURL}/lib/ca-bundle.crt; fi
	${PREFIX}/bin/curl -V | xargs echo | grep zlib | grep ftp | grep http | grep libz | grep ftps | grep https
	touch curl.done

fget.done: curl.done
	cd ${FGET} && ./configure --disable-encap --disable-epkg-install --prefix=${PREFIX} && $(MAKE) && $(MAKE) install
	touch fget.done

expat.done: fget.done
	cd ${EXPAT} && ./configure --disable-shared --prefix=${PREFIX} && $(MAKE) && $(MAKE) install
	touch expat.done

epkg.done: expat.done
	test -d $(ENCAPDIR)/$(EPKG) && rm -rf $(ENCAPDIR)/$(EPKG) || true
	-rm /usr/local/etc/epkg-ca-bundle.pem
	-rm /usr/local/etc/mkencap_environment
	-rm epkg-*-encap-*-*.tar.gz
	cd ${EPKG} && ./configure && $(MAKE) && (rm -rf /usr/local/encap/epkg-2* 2>/dev/null || true) && $(MAKE) install
	cp cacert.pem /usr/local/encap/${EPKG}/epkg-ca-bundle.pem
	printf 'if [ ! -f "$${ENCAP_TARGET}/etc/epkg-ca-bundle.pem" ]; then\n\techo "installing: $${ENCAP_TARGET}/etc/epkg-ca-bundle.pem";\n\tcp "$${ENCAP_SOURCE}/$${ENCAP_PKGNAME}/epkg-ca-bundle.pem" "$${ENCAP_TARGET}/etc/epkg-ca-bundle.pem";\nfi\n' >> $(ENCAPDIR)/$(EPKG)/postinstall
	$(ENCAPDIR)/$(EPKG)/bin/mkencap $(PLATFORM) -ef $(EPKG)
	$(ENCAPDIR)/$(EPKG)/bin/mkencap $(PLATFORM) -c $(EPKG)
	$(ENCAPDIR)/$(EPKG)/bin/epkg -f -r epkg
	-rm /usr/local/etc/epkg-ca-bundle.pem
	-rm /usr/local/etc/mkencap_environment
	$(ENCAPDIR)/$(EPKG)/bin/epkg -f -i epkg
	-$(ENCAPDIR)/$(EPKG)/bin/epkg -c
	test -f /usr/local/etc/epkg-ca-bundle.pem
	test -f /usr/local/etc/mkencap_environment
	touch epkg.done

=== encap/src/encap-profiles/Makefile ===
# $Id: Makefile 3533 2007-07-21 21:28:46Z dclark $

.PHONY : test log all install clean distclean uninstall encaps bcfg2only bcfg2bump
.SUFFIXES :
.SUFFIXES : .ep .sh .installed .packaged .d

export ENCAP_CONTACT = dclark@pobox.com
export BASEDIR = /usr/local
export ENCAPDIR := ${BASEDIR}/encap
export EPKG := ${BASEDIR}/bin/epkg
export MKENCAP := ${BASEDIR}/bin/mkencap
export SHELL = /bin/sh
srcdir = .
export EP2TARGET := $(srcdir)/ep2target
PAGER ?= more
export PKG_CONFIG_PATH = ${BASEDIR}/lib/bcfg2/lib/pkgconfig

BCFG2 := $(basename $(wildcard bcfg2-[0-9].[0-9]*.ep))
BCFG2_CHEETAH := $(basename $(wildcard bcfg2-cheetah-[0-9].[0-9]*.ep))
BCFG2_ELEMENTTREE := $(basename $(wildcard bcfg2-elementtree-*.ep))
BCFG2_GZIP := $(basename $(wildcard bcfg2-gzip-*.ep))
BCFG2_M2CRYPTO := $(basename $(wildcard bcfg2-m2crypto-*.ep))
BCFG2_OPENSSL := $(basename $(wildcard bcfg2-openssl-*.ep))
BCFG2_PKG_CONFIG := $(basename $(wildcard bcfg2-pkg-config-*.ep))
BCFG2_PYTHON := $(basename $(wildcard bcfg2-python-[0-9].[0-9]*.ep))
BCFG2_READLINE := $(basename $(wildcard bcfg2-readline-*.ep))
BCFG2_SETUPTOOLS := $(basename $(wildcard bcfg2-setuptools-*.ep))
BCFG2_SWIG := $(basename $(wildcard bcfg2-swig-*.ep))
BCFG2_ZLIB := $(basename $(wildcard bcfg2-zlib-*.ep))
M4 := $(basename $(wildcard m4-*.sh))
MAKESELF := $(basename $(wildcard makeself-*.ep))
OSTIARTY := $(basename $(wildcard ostiary-[0-9].[0-9]*.ep))
PATCH := $(basename $(wildcard patch-*.ep))
RUNIT := $(basename $(wildcard runit-[0-9].[0-9]*.ep))

sources_ep := $(sort $(BCFG2) $(BCFG2_CHEETAH) $(BCFG2_ELEMENTTREE) $(BCFG2_GZIP) $(BCFG2_M2CRYPTO) $(BCFG2_OPENSSL) $(BCFG2_PKG_CONFIG) $(BCFG2_PYTHON) $(BCFG2_READLINE) $(BCFG2_SETUPTOOLS) $(BCFG2_SWIG) $(BCFG2_ZLIB) $(MAKESELF) $(OSTIARTY) $(PATCH) $(RUNIT))

sources_sh := $(M4)

# Only compile bcfg2-python-apt on known Debian and Ubuntu 
# systems (as python-apt is distribution-specific)
UNAME := $(shell uname)

ifeq ($(UNAME),Linux)
DISTRO := $(shell cat /etc/issue | grep ^[a-zA-Z] | head -1)
UNAMEM := $(shell uname -m)
endif

ifeq ($(DISTRO),Debian GNU/Linux 3.1 \n \l)
BCFG2_PYTHON_APT = bcfg2-python-apt-0.5.10
OS = linux_debian_sarge
endif

ifeq ($(DISTRO),Debian GNU/Linux 4.0 \n \l)
BCFG2_PYTHON_APT = bcfg2-python-apt-0.6.19
OS = linux_debian_etch
endif

ifeq ($(DISTRO),Debian GNU/Linux testing/unstable \n \l)
BCFG2_PYTHON_APT = bcfg2-python-apt-0.6.19
OS = linux_debian_sid
endif

ifeq ($(DISTRO),Ubuntu 6.06.1 LTS \n \l)
BCFG2_PYTHON_APT = bcfg2-python-apt-0.6.16.2ubuntu8
OS = linux_ubuntu_dapper
endif

ifeq ($(DISTRO),Red Hat Linux release 6.0 (Hedwig))
OS = linux_redhat_60
endif

ifeq ($(DISTRO),Red Hat Linux release 7.2 (Enigma))
OS = linux_redhat_72
endif

ifeq ($(DISTRO),Red Hat Enterprise Linux AS release 4 (Nahant Update 4))
OS = linux_redhat_rhel4
endif

ifeq ($(DISTRO),Red Hat Enterprise Linux AS release 4 (Nahant Update 5))
OS = linux_redhat_rhel4
endif

ifeq ($(DISTRO),Welcome to SuSE SLES 8 (powered by UnitedLinux 1.0) (i586))
OS = linux_suse_sles8
endif

ifeq ($(DISTRO),Welcome to SUSE Linux Enterprise Server 10 (i586) - Kernel \r (\l).)
OS = linux_suse_sles10
endif

ifeq ($(DISTRO),Welcome to SUSE Linux Enterprise Server 10 (x86_64) - Kernel \r (\l).)
OS = linux_suse_sles10
endif

ifdef BCFG2_PYTHON_APT
sources_ep += $(BCFG2_PYTHON_APT)
endif

## Get ARCH for GNU/Linux distributions...
ARCH = ix86
ifeq ($(UNAMEM),x86_64)
ARCH = x86_64
endif

## Finally, set PLATFORM for GNU/Linux distributions...
PLATFORM =  
ifeq ($(UNAME),Linux)
PLATFORM = -p ${ARCH}-${OS}
endif

export MKENCAPCMD := ${BASEDIR}/bin/mkencap $(PLATFORM)

# List of all sources...
sources := $(sort $(sources_ep) $(sources_sh))

%.installed : %.ep # Clean, compile and install an encap package
	@printf "***** START .ep.installed for |$*| ***** \n"
	-$(EPKG) -q -r $(ENCAPDIR)/$*
	-rm -rf $(ENCAPDIR)/$*
	-$(MKENCAPCMD) -m /usr/local/bin/m4 -b -DUP $(srcdir)/$*.ep > ./$*.log 2>&1
	-$(MKENCAPCMD) -m /usr/local/bin/m4 -b -T $(srcdir)/$*.ep >> ./$*.log 2>&1
	$(MKENCAPCMD) -m /usr/local/bin/m4 -b -CBI $(srcdir)/$*.ep >> ./$*.log 2>&1
	$(EPKG) -q -i $(ENCAPDIR)/$*
	test -h $(BASEDIR)/var/encap/$*
	touch ./$*.installed
	@printf "***** STOP .ep.installed for |$*| ***** \n"

%.installed : %.sh # Create and install a "fake" encap package
	@printf "***** START .sh.installed for |$*| ***** \n"
	-$(EPKG) -q -r $(ENCAPDIR)/$*
	-rm -rf $(ENCAPDIR)/$*
	chmod 755 $(srcdir)/$*.sh && $(srcdir)/$*.sh
	$(EPKG) -q -i $(ENCAPDIR)/$*
	test -h $(BASEDIR)/var/encap/$*
	touch ./$*.installed
	@printf "***** STOP .sh.installed for |$*| ***** \n"

%.packaged : %.installed # Create .tar.gz encap packages
	@printf "***** START .installed.packaged for |$*| ***** \n"
	-rm $(ENCAPDIR)/$*-*.tar.gz
	-(cd $(ENCAPDIR) && $(MKENCAPCMD) -ef $*)
	-(cd $(ENCAPDIR) && $(MKENCAPCMD) -c $*)
	mv $(ENCAPDIR)/$*-encap-*.tar.gz ./
	touch ./$*.packaged
	@printf "***** STOP .installed.packaged for |$*| ***** \n"

%.d : %.ep # Create dependancy files from .ep files
	@printf "***** START .d.ep for |$*| ***** \n"
	chmod 755 $(EP2TARGET) && $(EP2TARGET) $< > $@
	@printf "***** STOP .d.ep for |$*| ***** \n"

%.d : %.sh # Create dependancy files from .sh files
	@printf "***** START .d.sh for |$*| ***** \n"
	chmod 755 $(EP2TARGET) && $(EP2TARGET) $< > $@
	@printf "***** STOP .d.sh for |$*| ***** \n"

log :
	( $(MAKE) install > ./make.log 2>&1 \
	&& $(MAKE) encaps >> ./make.log 2>&1 ) &

all : install encaps

.DELETE_ON_ERROR : # delete the target of a rule if it has changed and its
                   # commands exit with a nonzero exit status

install : $(EPKG) $(MKENCAP) $(EP2TARGET) $(M4).installed $(addsuffix .installed,$(sources))

encaps : $(EPKG) $(MKENCAP) $(EP2TARGET) $(addsuffix .packaged,$(sources))

clean :
	-(rm ./*.log; rm ./*.packaged; rm ./*.gz; rm ./*~)

distclean : clean
	-rm ./*.d

uninstall : distclean
	-(find $(BASEDIR)/lib/bcfg2 | grep "\.pyc" | xargs -n1 rm)
	-(ENCAPS="m4 patch runit makeself ostiary bcfg2"; \
	for ENCAP in $${ENCAPS}; do \
		$(EPKG) -q -r $(ENCAPDIR)/$${ENCAP}-*; \
		rm -rf $(ENCAPDIR)/$${ENCAP}-*; \
		rm ./$${ENCAP}-*.installed; \
	done)
	-rm -rf  $(BASEDIR)/lib/bcfg2

bcfg2only :
	$(MAKE) -t; sleep 2; touch $(srcdir)/$(BCFG2).ep; $(MAKE)

bcfg2bump :
	@if [ "$(NEW)x" != "x" ]; then NEW="$(NEW)"; fi && \
	if [ "$(OLD)x" != "x" ]; then OLD="$(OLD)"; fi && \
	if [ "$(FORCE)x" != "x" ]; then FORCE="$(FORCE)"; fi && \
	if [ "$${OLD}x" != "x" -a "$${NEW}x" != "x" ]; then \
	OLDBASE="`printf "%s\n" "$${OLD}" | sed 's:\.ep::g'`"; \
	NEWBASE="`printf "%s\n" "$${NEW}" | sed 's:\.ep::g'`"; \
		if [ "$${FORCE}x" != "yesmamx" ]; then \
			printf "About to 'svn mv %s %s'\n" "$$OLD" "$$NEW"; \
			printf "\tand edit the later as appropriate.\n"; \
			printf "And then 'rm %s%s'...\n" "$$OLDBASE" ".*"; \
			printf "Press 'return' to continue, or 'ctrl-c' to exit. "; \
			read THROWAWAY; \
		fi; \
		svn mv $${OLD} $${NEW} && \
		sed s:$${OLDBASE}:$${NEWBASE}:g $${NEW} > $${NEW}.tmp && \
		mv $${NEW}.tmp $${NEW} && \
		rm $${OLDBASE}.*; \
		printf "Changes to %s are:\n" "$${NEW}"; \
		if [ "$${FORCE}x" != "yesmamx" ]; then \
			svn diff $${NEW} | $(PAGER); \
			printf "'svn commit %s %s -m \"EncapPackages: Bumped bcfg2 .ep version to %s\"'? \n" "$${OLD}" "$${NEW}" "$${NEW}"; \
			printf "Press 'return' to commit, or 'ctrl-c' to exit. "; \
			read THROWAWAY; \
		else \
			svn diff $${NEW}; \
		fi; \
		svn commit $${OLD} $${NEW} -m "EncapPackages: Bumped bcfg2 .ep version to $${NEW}"; \
	else \
		printf "Set the OLD, NEW (and optionally FORCE) environment "; \
		printf "variables. Example:\n"; \
		printf "\tOLD=bcfg2-0.8.3pre5.ep NEW=bcfg2-0.8.3.ep $(MAKE) bcfg2bump\n";\
	fi

include $(addsuffix .d,$(sources))

=== encap/src/makeself-dist/Makefile ===
# $Id: Makefile 2120 2006-08-26 18:14:39Z dclark $

# Variables
export SHELL = /bin/sh
export PATH = /usr/local/lib/bcfg2/bin:/usr/local/bin:/usr/bin:/bin

# Main

.PHONY : all clean distclean
.SUFFIXES : 

all : 
	chmod 755 ./makedist.sh && ./makedist.sh

clean :
	-rm ./*~ ./\#*

distclean : clean
	-rm -rf ./bcfg2-*

=== encap/src/encap-profiles/server/Makefile ===
# $Id: Makefile 3351 2007-06-25 01:24:35Z dclark $

.PHONY : test log all install clean distclean encaps rename
.SUFFIXES :
.SUFFIXES : .ep .installed .packaged .d

export BASEDIR = /usr/local
export ENCAPDIR := ${BASEDIR}/encap
export EPKG := ${BASEDIR}/bin/epkg
export MKENCAP := ${BASEDIR}/bin/mkencap
export SHELL = /bin/sh
srcdir = .
export EP2TARGET := $(srcdir)/ep2target
PAGER ?= more

BCFG2_CHEETAH_DOC := $(basename $(wildcard bcfg2-cheetah-doc-*.ep))
BCFG2_GAMIN := $(basename $(wildcard bcfg2-gamin-*.ep))
BCFG2_GLIB := $(basename $(wildcard bcfg2-glib-*.ep))
BCFG2_LIBXML2 := $(basename $(wildcard bcfg2-libxml2-*.ep))
BCFG2_LIBXSLT := $(basename $(wildcard bcfg2-libxslt-*.ep))
BCFG2_LXML := $(basename $(wildcard bcfg2-lxml-*.ep))
BCFG2_PYREX := $(basename $(wildcard bcfg2-pyrex-*.ep))
OSTIARTY_DOC := $(basename $(wildcard ostiary-doc-*.ep))

sources := $(BCFG2_CHEETAH_DOC) $(BCFG2_GAMIN) $(BCFG2_GLIB) $(BCFG2_LIBXML2) $(BCFG2_LIBXSLT) $(BCFG2_LXML) $(BCFG2_PYREX) $(OSTIARTY_DOC)

%.installed : %.ep # Clean, compile and install an encap package
	@printf "***** START .ep.installed for |$*| ***** \n"
	-$(EPKG) -q -r $(ENCAPDIR)/$*
	-rm -rf $(ENCAPDIR)/$*
	-$(MKENCAP) -m /usr/local/bin/m4 -b -DUP $(srcdir)/$*.ep > ./$*.log 2>&1
	-$(MKENCAP) -m /usr/local/bin/m4 -b -T $(srcdir)/$*.ep >> ./$*.log 2>&1
	$(MKENCAP) -m /usr/local/bin/m4 -b -CBI $(srcdir)/$*.ep >> ./$*.log 2>&1
	$(EPKG) -q -i $(ENCAPDIR)/$*
	test -h $(BASEDIR)/var/encap/$*
	touch ./$*.installed
	@printf "***** STOP .ep.installed for |$*| ***** \n"

%.packaged : %.installed # Create .tar.gz encap packages
	@printf "***** START .installed.packaged for |$*| ***** \n"
	-rm $(ENCAPDIR)/$*-*.tar.gz
	-(cd $(ENCAPDIR) && $(MKENCAP) -e $*)
	-(cd $(ENCAPDIR) && $(MKENCAP) -c $*)
	mv $(ENCAPDIR)/$*-encap-*.tar.gz ./
	touch ./$*.packaged
	@printf "***** STOP .installed.packaged for |$*| ***** \n"

%.d : %.ep # Create dependancy files from .ep files
	@printf "***** START .d.ep for |$*| ***** \n"
	$(EP2TARGET) $< > $@
	@printf "***** STOP .d.ep for |$*| ***** \n"

log :
	( $(MAKE) install > ./make.log 2>&1 \
	&& $(MAKE) encaps >> ./make.log 2>&1 \
	&& $(MAKE) rename >> ./make.log 2>&1 ) &

all : install encaps rename

.DELETE_ON_ERROR : # delete the target of a rule if it has changed and its
                   # commands exit with a nonzero exit status

install : $(EPKG) $(MKENCAP) $(EP2TARGET) $(M4).installed $(addsuffix .installed,$(sources))

encaps : $(EPKG) $(MKENCAP) $(EP2TARGET) $(addsuffix .packaged,$(sources))

rename : encaps
	if [ "$(OS)x" != "x" ]; then OS="$(OS)"; fi && \
	if [ "$${OS}x" != "x" ]; then \
		for OLDNAME in `(ls . | grep .*-encap-.*.tar.gz) || break`; do \
			NEWNAME="`printf "%s\n" "$${OLDNAME}" \
				| awk -F- '{$$NF = "OSDIST.tar.gz" ; print}' \
				| sed s:\ :-:g | sed s:OSDIST:\$${OS}:g`" ; \
			if [ "$${OLDNAME}x" != "$${NEWNAME}x" ]; then \
				mv ./$${OLDNAME} ./$${NEWNAME}; \
			fi; \
		done; \
	fi
	for OLDNAME in `(ls . | grep .*-doc-.*-encap-.*.tar.gz) || break`; do \
		NEWNAME="`printf "%s\n" "$${OLDNAME}" \
			| awk -F- '{$$NF = "OSDIST.tar.gz" ; print}' \
			| sed s:\ :-:g | sed s:OSDIST:share:g`" ; \
		if [ "$${OLDNAME}x" != "$${NEWNAME}x" ]; then \
			mv ./$${OLDNAME} ./$${NEWNAME}; \
		fi; \
	done;

clean :
	-(rm ./*.log; rm ./*.packaged; rm ./*.gz; rm ./*~)

distclean : clean
	-rm ./*.d

include $(addsuffix .d,$(sources))

=== debian/changelog ===
bcfg2 (1.0.1-3+squeeze2) stable-security; urgency=high

  * Backport upstream patch to fix unescaped shell command issues in the
    Trigger plugin (Closes: #679272)

 -- Arto Jantunen <viiru@debian.org>  Wed, 27 Jun 2012 13:34:38 +0300

bcfg2 (1.0.1-3+squeeze1) stable-security; urgency=high

  * Apply patch from Chris St. Pierre to fix several problems with
    unescaped shell commands (Closes: #640028).

 -- Arto Jantunen <viiru@debian.org>  Thu, 18 Aug 2011 20:06:06 +0300

bcfg2 (1.0.1-3) unstable; urgency=medium

  [ Arto Jantunen ]
  * Rewrote the Bcfg2 server init script to address a long list of issues
    (Closes: #591030)
  * Remove support for agent mode (no longer supported upstream), note
    the removal in debian/NEWS
  * Apply patch from upstream to remove nonexistent agent options from
    the client manpage
  * Update Standards-Version to 3.9.1.0, no changes
  * Use correct package name for SQLAlchemy in Suggests

 -- Arto Jantunen <viiru@debian.org>  Tue, 10 Aug 2010 17:59:44 +0300

bcfg2 (1.0.1-2) unstable; urgency=medium

  [ Arto Jantunen ]
  * Urgency medium for the Python 2.6 transition and the debsums fix
  * debian/changelog: Correct the bug number for the python-apt
    transition
  * Python 2.6 is default in unstable and #576517 has been fixed, update
    build-deps accordingly and remove workaround
  * Converted to source format 3.0 (quilt)
  * Apply patch from upstream to fix debsums incompatibility (Closes:
    #586717)
  * Apply patch from upstream to silence a few deprecation warnings from
    python-apt (Closes: #586718)
  * Update Standards-Version to 3.9.0.0 (no changes)

 -- Arto Jantunen <viiru@debian.org>  Mon, 05 Jul 2010 20:38:37 +0300

bcfg2 (1.0.1-1) unstable; urgency=low

  [ Arto Jantunen ]
  * Take over bcfg2, with permission from maintainer, keep Sami as an Uploader
  * New upstream version (Closes: #572874)
  * Upstream is using the new python-apt api (Closes: #572056)
  * Integrate packaging work done upstream, changes below are relative to 
    current upstream debian dir
  * Remove strange Recommends from bcfg2
  * Remove override_dh_auto_install, based on the ticket it was never really 
    needed
  * Include tools/create-debian-pkglist.py as an example and document it's use 
    in README.Debian (Closes: #424884)
  * debian/changelog: Include NMUs by Neil McGovern and Matthias Klose,
                      also include upstream changes up to 1.0.1
  * Remove build-dep on python-dev, bcfg2 does not contain any C extensions
  * Update Standards-Version to 3.8.4.0, no changes
  * Remove upstream workaround for Debian bug #546293, build-depend on
    debhelper 7.4.2 for the fix
  * Clean up Depends, use binary:Version instead of deprecated Source-Version
  * Add debian/source/format (1.0)
  * Move from dh compat 5 to 7
  * Add debian/pyversions to show that we require python2.6 (for server ssl
    support, client could use m2crypto)
  * Override python-support dependency generation for bcfg2-server (see #576517)
  
 -- Arto Jantunen <viiru@debian.org>  Sat, 27 Mar 2010 11:11:27 +0200

bcfg2 (1.0.1-0.1) unstable; urgency=low

  * New upstream release

 -- Narayan Desai <desai@mcs.anl.gov>  Thu, 21 Jan 2010 09:56:12 -0600

bcfg2 (1.0.1-0.0rc4) unstable; urgency=low

  * New upstream release

 -- Narayan Desai <desai@mcs.anl.gov>  Wed, 13 Jan 2010 08:11:09 -0600

bcfg2 (1.0.1-0.0rc3) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <solj@ices.utexas.edu>  Tue, 05 Jan 2010 08:22:17 -0600

bcfg2 (1.0.1-0.0rc2) unstable; urgency=low

  * New upstream release

 -- Narayan Desai <desai@mcs.anl.gov>  Mon, 04 Jan 2010 10:57:22 -0600

bcfg2 (1.0.1-0.0rc1) unstable; urgency=low

  * New upstream release

 -- Narayan Desai <desai@mcs.anl.gov>  Wed, 30 Dec 2009 10:14:43 -0600

bcfg2 (1.0.0-6) unstable; urgency=low

  * final 1.0.0 release + debian directory from r5630

 -- Daniel Clark <dclark@pobox.com>  Sun, 23 Dec 2009 02:13:44 -0500

bcfg2 (1.0.0-4) unstable; urgency=low

  * final 1.0.0 release + debian directory from r5621

 -- Daniel Clark <dclark@pobox.com>  Sun, 15 Dec 2009 06:12:33 -0500

bcfg2 (1.0.0-2) unstable; urgency=low

  * final 1.0.0 release + debian directory from r5619

 -- Daniel Clark <dclark@pobox.com>  Sun, 11 Dec 2009 15:59:33 -0500

bcfg2 (1.0.0-1) unstable; urgency=low

  * final release

 -- Narayan Desai <desai@mcs.anl.gov>  Thu, 05 Nov 2009 17:40:46 -0600

bcfg2 (1.0.0~rc4-1) unstable; urgency=low

  * last release candidate

 -- Narayan Desai <desai@mcs.anl.gov>  Thu, 05 Nov 2009 16:10:39 -0600

bcfg2 (1.0.0~rc3-1) unstable; urgency=low

  [ Narayan Desai ]
  * new release candidate

 -- Narayan Desai <desai@mcs.anl.gov>  Wed, 04 Nov 2009 23:47:56 -0600

bcfg2 (1.0.0~rc2-1) unstable; urgency=low

  [ Narayan Desai ]
  * new release candidate

  [ Sami Haahtinen ]
  * Update packaging
  * Switch to plain debhelper
  * Switch from pycentral to python-support
  * Move homepage to the dedicated Homepage field
  * Update Standards-Version to 3.8.3.0
  * Add python-m2crypto as dependency
  * bcfg2-server needs python2.4+

 -- Sami Haahtinen <ressu@debian.org>  Sat, 24 Oct 2009 00:20:51 +0300

bcfg2 (1.0.0rc1-0.1) unstable; urgency=low

  * first release candidate

 -- Narayan Desai <desai@mcs.anl.gov>  Sun, 25 Oct 2009 21:40:44 -0500

bcfg2 (1.0pre5-0.2) unstable; urgency=low

  * version bump to 1.0pre5

 -- Narayan Desai <desai@mcs.anl.gov>  Thu, 23 Jul 2009 10:54:06 -0500

bcfg2 (1.0pre4-0.2) unstable; urgency=low

  * Remove python-cheetah dependency

 -- Sol Jerome <solj@ices.utexas.edu>  Wed, 15 Jun 2009 14:30:25 -0500

bcfg2 (1.0pre4-0.1) unstable; urgency=low

  * new prerelease

 -- Narayan Desai <desai@mcs.anl.gov>  Wed, 24 Jun 2009 20:58:52 -0500

bcfg2 (1.0pre3-0.1) unstable; urgency=low

  * new prerelease

 -- Narayan Desai <desai@mcs.anl.gov>  Fri, 22 May 2009 12:37:13 -0500

bcfg2 (1.0pre2-0.1) unstable; urgency=low

  * new prerelease



=== debian/control ===
Source: bcfg2
Section: admin
Priority: optional
Maintainer: Arto Jantunen <viiru@debian.org>
Uploaders: Sami Haahtinen <ressu@debian.org>
Build-Depends: debhelper (>= 7.4.2), python (>= 2.6) | python2.6, python-support (>= 1.0.9)
Standards-Version: 3.9.1.0
Homepage: http://bcfg2.org/

Package: bcfg2
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, debsums, python-apt, python-lxml (>= 0.9), ucf, lsb-base (>= 3.1-9)
Description: Configuration management client
 Bcfg2 is a configuration management system that generates configuration sets
 for clients bound by client profiles.
 bcfg2 is the client portion of bcfg2 system which installs configuration
 images provided by bcfg2-server

Package: bcfg2-server
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-lxml (>= 0.9), libxml2-utils (>= 2.6.23), lsb-base (>= 3.1-9), ucf, bcfg2 (= ${binary:Version}), openssl, fam | gamin, python-fam | python-gamin, fam | python-gamin, gamin | python-fam
Recommends: graphviz
Suggests: python-cheetah, python-genshi (>= 0.4.4), python-profiler, python-sqlalchemy (>= 0.5.0), python-django, mail-transport-agent
Description: Configuration management server
 Bcfg2 is a configuration management system that generates configuration sets
 for clients bound by client profiles.
 bcfg2-server is the server for bcfg2 clients, which generates configuration
 sets and stores statistics of client system states.

## bcfg2 1.1.1

=== osx/Makefile ===
PYVERSION := $(shell /usr/bin/python -c "import sys; print sys.version[0:3]")
PREFLIGHT = preflight
POSTFLIGHT = postflight
PKGROOT = bcfg2pkg
PKGTMP = bcfg2tmp
FILTERS = --filter Hostbase \
--filter Reports \
--filter Server \
--filter xsd \
--filter xsl \
--filter bcfg2-admin \
--filter bcfg2-build-reports \
--filter bcfg2-info \
--filter bcfg2-ping-sweep \
--filter bcfg2-repo-validate \
--filter bcfg2-reports \
--filter bcfg2-server

CONF = bcfg2.conf
DATADIR = /Library/Frameworks/Python.framework/Versions/Current
LAUNCHD = gov.anl.mcs.bcfg2-daily.plist
PACKAGEMAKER = /Developer/usr/bin/packagemaker
PROTO_PLIST = PackageInfo.plist
SITELIBDIR = /Library/Python/${PYVERSION}/site-packages

# Symlinks cannot be specified on the command line, therefore, we create
# an Info.plist file for packagemaker to look at for package creation
# and substitute the version strings. Major/Minor versions can only be
# integers (e.g. "1" and "00" for bcfg2 version 1.0.0.
BCFGVER = $(shell /usr/bin/grep version ../setup.py | cut -d\" -f2)
BCFGVER1 = $(shell /bin/echo ${BCFGVER} | /usr/bin/cut -d"." -f1)
BCFGVER2 = $(shell /bin/echo ${BCFGVER} | /usr/bin/cut -d"." -f2)
BCFGVER3 = $(shell /bin/echo ${BCFGVER} | /usr/bin/cut -d"." -f3)
MAJOR = ${BCFGVER1}
MINOR = ${BCFGVER2}${BCFGVER3}

default: clean client

install:
	echo "Installing Bcfg2 to ${PKGROOT}"
	mkdir ${PKGROOT}
	cd ../ && /usr/bin/python setup.py install \
	       --root="osx/${PKGROOT}" \
	       --install-lib="${SITELIBDIR}" \
	       --install-data="${DATADIR}"
	/usr/sbin/chown -R root:admin "${PKGROOT}"

prepare: install
	mkdir ${PKGTMP}
	cp ${PROTO_PLIST} ${PKGTMP}
	sed -i '' "s/{SHORTVERSION}/${BCFGVER}/g" "${PKGTMP}/${PROTO_PLIST}"
	sed -i '' "s/{MAJORVERSION}/${MAJOR}/g" "${PKGTMP}/${PROTO_PLIST}"
	sed -i '' "s/{MINORVERSION}/${MINOR}/g" "${PKGTMP}/${PROTO_PLIST}"

	# create a preflight script to remove traces of previous
	# bcfg2 installs due to limitations in Apple's pkg format
	mkdir -p "${PKGTMP}/scripts"
	cp "${PREFLIGHT}" "${PKGTMP}/scripts"
	cp "${POSTFLIGHT}" "${PKGTMP}/scripts"

	# substitute in the {sitelib,data}dir specified above on the assumption that
	# this is where any previous bcfg2 install exists that should be cleaned out.
	sed -i '' "s|{SITELIBDIR}|${SITELIBDIR}|g" "${PKGTMP}/scripts/${PREFLIGHT}"
	sed -i '' "s|{SITELIBDIR}|${SITELIBDIR}|g" "${PKGTMP}/scripts/${POSTFLIGHT}"
	sed -i '' "s|{DATADIR}|${DATADIR}|g" "${PKGTMP}/scripts/${PREFLIGHT}"
	sed -i '' "s|{DATADIR}|${DATADIR}|g" "${PKGTMP}/scripts/${POSTFLIGHT}"
	# substitute in the bindir specified on the assumption that this is where
	# any old executables that have moved from bindir->sbindir should be
	# cleaned out from.
	sed -i '' "s|{BINDIR}|${BINDIR}|g" "${PKGTMP}/scripts/${PREFLIGHT}"
	sed -i '' "s|{BINDIR}|${BINDIR}|g" "${PKGTMP}/scripts/${POSTFLIGHT}"
	sed -i '' "s|{LAUNCHD}|${LAUNCHD}|g" "${PKGTMP}/scripts/${POSTFLIGHT}"
	# {pre,post}flight scripts must be 770 to execute
	chmod 0770 "${PKGTMP}/scripts/${PREFLIGHT}"
	chmod 0770 "${PKGTMP}/scripts/${POSTFLIGHT}"

	# add in M2Crypto
	/bin/expr ${PYVERSION} \< 2.6 && \
		cp "M2Crypto-0.20.2-py2.5-macosx-10.5-ppc.egg" "${PKGROOT}/${SITELIBDIR}" && \
		cp "easy-install.pth" "${PKGROOT}/${SITELIBDIR}"

	# add default bcfg2.conf
	mkdir -p "${PKGROOT}/etc"
	cp "${CONF}" "${PKGROOT}/etc/${CONF}"

	# add default launchd cron job
	mkdir -p "${PKGROOT}/Library/LaunchDaemons"
	cp "${LAUNCHD}" "${PKGROOT}/Library/LaunchDaemons/${LAUNCHD}"

client: prepare
	rm -rf `pwd`/bcfg2-${BCFGVER}.pkg
	echo "Building package"
	echo "Note that packagemaker is reknowned for spurious errors. Don't panic."
	"${PACKAGEMAKER}" --root "${PKGROOT}" \
			  --info "${PKGTMP}/${PROTO_PLIST}" \
			  --scripts "${PKGTMP}/scripts" \
			  ${FILTERS} \
			  --verbose \
			  --title "bcfg2" \
			  --out `pwd`/bcfg2-${BCFGVER}.pkg

server: prepare
	rm -rf `pwd`/bcfg2-${BCFGVER}.pkg
	echo "Building package"
	echo "Note that packagemaker is reknowned for spurious errors. Don't panic."
	"${PACKAGEMAKER}" --root "${PKGROOT}" \
			  --info "${PKGTMP}/${PROTO_PLIST}" \
			  --scripts "${PKGTMP}/scripts" \
			  --verbose \
			  --title "bcfg2" \
			  --out `pwd`/bcfg2-${BCFGVER}.pkg

clean:
	rm -rf bcfg2tmp bcfg2pkg

=== solaris/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/sfw/bin/gmake
 
-VERS=1.0.0-1
+VERS=1.1.1-1
 PYVERSION := $(shell /opt/csw/bin/python -c "import sys; print sys.version[0:3]")
 
 default: clean package

=== debian/changelog ===
bcfg2 (1.1.1-2ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - Added patches:
      + Add NagiosGen patch to support "parents" in Nagios
      + Add BackupPCGen plugin by Revolution Linux (off by default).
      + Make ssh_known_hosts base64 to avoid timeouts (SSHGen).
    - Depends: Update to use gamin by default (to avoid installing portmap).
    - Recommends: Move graphviz to Suggests (avoid libX11 on a server).
    - Suggests: Move genshi and cheetah to Recommends (for templating).
  * Dropped change, not needed:
    - Build-Depends: Change python-support from >= 1.0.9
      to >=1.0.4 (to make backporting easier).

 -- Angel Abad <angelabad@ubuntu.com>  Thu, 17 Feb 2011 10:53:58 +0100

bcfg2 (1.1.1-2) unstable; urgency=low

  * The "Yay Squeeze" release
  * Upload to unstable
  * Transition to dh_python2
  * Upstream has added a man page for bcfg2-reports (Closes: #608613)

 -- Arto Jantunen <viiru@debian.org>  Thu, 10 Feb 2011 18:49:19 +0200

bcfg2 (1.1.1-1ubuntu2) natty; urgency=low

  * Added patches:
   - Add NagiosGen patch to support "parents" in Nagios

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 01 Jan 2011 16:22:56 -0500

bcfg2 (1.1.1-1ubuntu1) natty; urgency=low

  * Added patches
    - Add BackupPCGen plugin by Revolution Linux (off by default).
    - Make ssh_known_hosts base64 to avoid timeouts (SSHGen).

  * Maintainer: Change to "Ubuntu Developers"
  * Build-Depends: Change python-support from >= 1.0.9
    to >=1.0.4 (to make backporting easier).
  * Depends: Update to use gamin by default (to avoid installing portmap).
  * Recommends: Move graphviz to Suggests (avoid libX11 on a server).
  * Suggests: Move genshi and cheetah to Recommends (for templating).

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 14 Dec 2010 16:16:38 -0500

bcfg2 (1.1.1-1) experimental; urgency=low

  * New upstream version 1.1.1
  * Rebase patches to fit
  * Include the posixunified.py repo conversion script, and mention it
    in NEWS.Debian

 -- Arto Jantunen <viiru@debian.org>  Sun, 28 Nov 2010 16:41:17 +0200

bcfg2 (1.1.0-1) experimental; urgency=low

  * New upstream version 1.1.0
  * Note potential upgrade issues in NEWS.Debian
  * All patches included upstream, remove them
  * Add patch to remove ignores of Python-Apt related deprecation
    warnings
  * Add patch to use the new Python-Apt api
  * Add patch to update the create-debian-pkglist.py tool to the new
    Python-Apt api
  * Depend on python-apt (>= 0.7.91) for the new api

 -- Arto Jantunen <viiru@debian.org>  Fri, 05 Nov 2010 19:18:43 +0200

=== debian/control ===
Source: bcfg2
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Arto Jantunen <viiru@debian.org>
Uploaders: Sami Haahtinen <ressu@debian.org>
Build-Depends: debhelper (>= 7.4.2), python (>= 2.6.6-3)
Standards-Version: 3.9.1.0
Homepage: http://bcfg2.org/
X-Python-Version: >= 2.6

Package: bcfg2
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, debsums, python-apt (>= 0.7.91), python-lxml (>= 0.9), ucf, lsb-base (>= 3.1-9)
Breaks: ${python:Breaks}
Description: Configuration management client
 Bcfg2 is a configuration management system that generates configuration sets
 for clients bound by client profiles.
 bcfg2 is the client portion of bcfg2 system which installs configuration
 images provided by bcfg2-server

Package: bcfg2-server
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-lxml (>= 0.9), libxml2-utils (>= 2.6.23), lsb-base (>= 3.1-9), ucf, bcfg2 (= ${binary:Version}), openssl, gamin | fam, python-gamin | python-fam, python-gamin | fam, python-fam | gamin
Recommends: python-genshi (>= 0.4.4), python-cheetah
Suggests: python-profiler, python-sqlalchemy (>= 0.5.0), python-django, mail-transport-agent, graphviz
Description: Configuration management server
 Bcfg2 is a configuration management system that generates configuration sets
 for clients bound by client profiles.
 bcfg2-server is the server for bcfg2 clients, which generates configuration
 sets and stores statistics of client system states.

## bcfg2 1.1.2

=== solaris/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/sfw/bin/gmake
 
-VERS=1.1.1-1
+VERS=1.1.2-1
 PYVERSION := $(shell /opt/csw/bin/python -c "import sys; print sys.version[0:3]")
 
 default: clean package

=== debian/changelog ===
bcfg2 (1.1.2-2ubuntu1) oneiric; urgency=low

  * Merge upstream bugfix only release 1.1.2.
  * Also fixes CVE 2011-3211 (LP: #844743)

  * Merge from debian unstable.  Remaining changes:
    - Added patches:
      + Add NagiosGen patch to support "parents" in Nagios
      + Add BackupPCGen plugin by Revolution Linux (off by default).
      + Make ssh_known_hosts base64 to avoid timeouts (SSHGen).
    - Recommends: Move graphviz to Suggests (avoid libX11 on a server).
    - Suggests: Move genshi and cheetah to Recommends (for templating).

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 08 Sep 2011 09:38:14 -0400

bcfg2 (1.1.2-2) unstable; urgency=high

  * Urgency=high due to security fix
  * Apply patch from Torsten Rehn to honor BCFG2_SERVER_OPTIONS in the
    server init script (Closes: #634875)
  * Remove deprecated Breaks: ${python:Breaks}
  * Add dependency on patch to bcfg2-server, the Cfg plugin needs it
    (Closes: #638826)
  * Build-Depend on python-all instead of just python
  * Refresh patches to match what current gbp-pq generates
  * Apply patch from Chris St. Pierre to fix security issues caused by
    unescaped shell commands (Closes: #640028)

 -- Arto Jantunen <viiru@debian.org>  Thu, 01 Sep 2011 18:38:51 +0300

bcfg2 (1.1.2-1) unstable; urgency=low

  * New upstream version 1.1.2
  * Patches 0004 and 0005 included upstream, remove them
  * Update Standards-Version to 3.9.2.0, no changes

 -- Arto Jantunen <viiru@debian.org>  Thu, 02 Jun 2011 11:50:12 +0300

bcfg2 (1.1.1-3ubuntu3) oneiric; urgency=low

  * Apply patch from Torsten Rehn to resolve $BCFG2_SERVER_OPTIONS
    not being honored in the bcfg2-server initscript. (LP: #781612)

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 20 Jul 2011 13:58:56 -0400

bcfg2 (1.1.1-3ubuntu2) oneiric; urgency=low

  * Add python2.7 fix (LP: #777999)
  * Sort patches/series to make it easier to read

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 16 May 2011 09:56:46 -0400

bcfg2 (1.1.1-3ubuntu1) oneiric; urgency=low

  * Merge from debian unstable. Remaining changes:
    - Added patches:
      + Add NagiosGen patch to support "parents" in Nagios
      + Add BackupPCGen plugin by Revolution Linux (off by default).
      + Make ssh_known_hosts base64 to avoid timeouts (SSHGen).
    - Recommends: Move graphviz to Suggests (avoid libX11 on a server).
    - Suggests: Move genshi and cheetah to Recommends (for templating).
  * Dropped change, fixed in Debian:
    - Depends: Update to use gamin by default (to avoid installing portmap).

 -- Angel Abad <angelabad@ubuntu.com>  Mon, 02 May 2011 14:52:02 +0200

bcfg2 (1.1.1-3) unstable; urgency=low

  * Use debhelper 8
  * Drop dependency on python-fam and fam, support only gamin (Closes: #613042)
  * Cherry-pick patch from upstream to fix bcfg2 -S (Closes: #608622)
  * Cherry-pick patch from upstream to add man page for bcfg2-ping-sweep
    (Closes: #608611)

 -- Arto Jantunen <viiru@debian.org>  Thu, 17 Mar 2011 21:07:53 +0200

=== debian/control ===
Source: bcfg2
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Arto Jantunen <viiru@debian.org>
Uploaders: Sami Haahtinen <ressu@debian.org>
Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6.6-3)
Standards-Version: 3.9.2.0
Homepage: http://bcfg2.org/
X-Python-Version: >= 2.6

Package: bcfg2
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, debsums, python-apt (>= 0.7.91), python-lxml (>= 0.9), ucf, lsb-base (>= 3.1-9)
Description: Configuration management client
 Bcfg2 is a configuration management system that generates configuration sets
 for clients bound by client profiles.
 bcfg2 is the client portion of bcfg2 system which installs configuration
 images provided by bcfg2-server

Package: bcfg2-server
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-lxml (>= 0.9), libxml2-utils (>= 2.6.23), lsb-base (>= 3.1-9), ucf, bcfg2 (= ${binary:Version}), openssl, gamin, python-gamin, patch
Recommends: python-cheetah, python-genshi (>= 0.4.4)
Suggests: python-profiler, python-sqlalchemy (>= 0.5.0), python-django, mail-transport-agent, graphviz
Description: Configuration management server
 Bcfg2 is a configuration management system that generates configuration sets
 for clients bound by client profiles.
 bcfg2-server is the server for bcfg2 clients, which generates configuration
 sets and stores statistics of client system states.

## bcfg2 1.1.3

=== solaris/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/sfw/bin/gmake
 
-VERS=1.1.2-1
+VERS=1.1.3-1
 PYVERSION := $(shell /opt/csw/bin/python -c "import sys; print sys.version[0:3]")
 
 default: clean package

=== debian/changelog ===
bcfg2 (1.1.3-1) unstable; urgency=low

  * New upstream version 1.1.3
  * Remove patch 0004, applied upstream
  * Fix the "Generated config for" regexp in the server logcheck
    ignore file, thanks Michael Erickson (Closes: #642269)
  * Add Vcs-Browser and Vcs-Git urls to debian/control

 -- Arto Jantunen <viiru@debian.org>  Sun, 25 Sep 2011 14:28:38 +0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: bcfg2
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Arto Jantunen <viiru@debian.org>
+Maintainer: Arto Jantunen <viiru@debian.org>
 Uploaders: Sami Haahtinen <ressu@debian.org>
 Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6.6-3)
 Standards-Version: 3.9.2.0
 Homepage: http://bcfg2.org/
 X-Python-Version: >= 2.6
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/bcfg2.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/bcfg2.git
 
 Package: bcfg2
 Architecture: all
@@ -21,8 +22,8 @@
 Package: bcfg2-server
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python-lxml (>= 0.9), libxml2-utils (>= 2.6.23), lsb-base (>= 3.1-9), ucf, bcfg2 (= ${binary:Version}), openssl, gamin, python-gamin, patch
-Recommends: python-cheetah, python-genshi (>= 0.4.4)
-Suggests: python-profiler, python-sqlalchemy (>= 0.5.0), python-django, mail-transport-agent, graphviz
+Recommends: graphviz
+Suggests: python-cheetah, python-genshi (>= 0.4.4), python-profiler, python-sqlalchemy (>= 0.5.0), python-django, mail-transport-agent
 Description: Configuration management server
  Bcfg2 is a configuration management system that generates configuration sets
  for clients bound by client profiles.
